Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.fr
Class FrenchStemFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.fr.FrenchStemFilter

All Implemented Interfaces:
  Closeable

Deprecated. Use `SnowballFilter` with `FrenchStemmer` instead, which has the same functionality. This filter will be removed in Lucene 5.0

    @Deprecated
    public final class FrenchStemFilter

extends TokenFilter

A `TokenFilter` that stems french words.

The used stemmer can be changed at runtime after the filter object is created (as long as it is a `FrenchStemmer`).

To prevent terms from being stemmed use an instance of `KeywordMarkerFilter` or a custom `TokenFilter` that sets the `KeywordAttribute` before this `TokenStream`.

See Also:
  `KeywordMarkerFilter`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`FrenchStemFilter(TokenStream in)` Deprecated.
`FrenchStemFilter(TokenStream in, Set<?> exclusiontable)` Deprecated. use `KeywordAttribute` with `KeywordMarkerFilter` instead.

Method Summary
`boolean` | `incrementToken()` Deprecated. Consumers (i.e., `IndexWriter`) use this method to advance the stream to the next token.
`void` | `setExclusionTable(Map<?,?> exclusiontable)` Deprecated. use `KeywordAttribute` with `KeywordMarkerFilter` instead.
`void` | `setStemmer(FrenchStemmer stemmer)` Deprecated. Set a alternative/custom `FrenchStemmer` for this filter.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FrenchStemFilter

    public FrenchStemFilter(TokenStream in)

  Deprecated.

### FrenchStemFilter

    @Deprecated
    public FrenchStemFilter(TokenStream in,
                                       Set<?> exclusiontable)

  Deprecated. use `KeywordAttribute` with `KeywordMarkerFilter` instead.

  Parameters:
    `in` - the `TokenStream` to filter
    `exclusiontable` - a set of terms not to be stemmed

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws IOException

  Deprecated.
  Description copied from class: `TokenStream`
  Consumers (i.e., `IndexWriter`) use this method to advance the stream to the next token. Implementing classes must implement this method and update the appropriate `AttributeImpl`s with the attributes of the next token.

  The producer must make no assumptions about the attributes after the method has been returned: the caller may arbitrarily change it. If the producer needs to preserve the state for subsequent calls, it can use `AttributeSource.captureState()` to create a copy of the current attribute state.

  This method is called for every token of a document, so an efficient implementation is crucial for good performance. To avoid calls to `AttributeSource.addAttribute(Class)` and `AttributeSource.getAttribute(Class)`, references to all `AttributeImpl`s that this stream uses should be retrieved during instantiation.

  To ensure that filters and consumers know which attributes are available, the attributes must be added during instantiation. Filters and consumers are not required to check for availability of attributes in `TokenStream.incrementToken()`.

  Specified by:
    `incrementToken` in class `TokenStream`
  Returns:
    Returns true for the next token in the stream, or false at EOS
  Throws:
    `IOException`

### setStemmer

    public void setStemmer(FrenchStemmer stemmer)

  Deprecated.
  Set a alternative/custom `FrenchStemmer` for this filter.

### setExclusionTable

    @Deprecated
    public void setExclusionTable(Map<?,?> exclusiontable)

  Deprecated. use `KeywordAttribute` with `KeywordMarkerFilter` instead.

  Set an alternative exclusion list for this filter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD